Subject: bug#23595: 25.1.50; file with chinese/japanse chars, vc-diff fails (HG, Git, RCS)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 May 2016 19:51:10 +0300

> From: Uwe Brauer <[email-masked]>
> Date: Mon, 23 May 2016 12:41:47 +0000
> Cc: Uwe Brauer <[email-masked]>,
> 	"[email-masked]" <[email-masked]>
> 
> I don't care so much about the difference for the (short) Asian
> text, but I do care about the fact that now the file seems to be
> «doomed» in the sense that the diff of each and every new commit
> ends up in Chinese, that is the file is considered as binary from
> now on and that is really bad.

I'm guessing that Git uses the same strategy as GNU Diff for detecting
binary files, which AFAIR is by looking for binary nulls (Paul can
correct me if I'm wrong).  And UTF-16 encoded files have lots of
binary nulls.

However, using the --text switch to "git diff" ought to fix that.
Does it?